Back to Platform

POST /variables

POST
/variables

POST operation for /variables

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/variables" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "number",    "options": "string",    "is_required": true,    "map_types": "string"  }'
{
  "id": 1,
  "name": "string",
  "type": "number",
  "tasks": 1,
  "options": "string",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "is_required": true,
  "message": "string",
  "map_types": "string",
  "order": 1
}
Empty
Empty
Empty

How is this guide?